%define upstream_name    Test-Sys-Info
%define upstream_version 0.23

Summary:    Centralized test suite for Sys::Info
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
BuildArch:  noarch
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Requires:   perl-Sys-Info-Base
%description
Perl centralized test suite for Sys::Info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.230.0-3.mga9
+ Revision: 1811150
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.230.0-2.mga8
+ Revision: 1521526
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 0.230.0-1.mga7
+ Revision: 1345369
- update to 0.23

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-3.mga7
+ Revision: 1286816
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.210.0-2.mga7
+ Revision: 1166928
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.210.0-1.mga7
+ Revision: 1141614
- update to 0.21

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-8.mga6
+ Revision: 1034649
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.200.0-7.mga6
+ Revision: 971513
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.200.0-6.mga6
+ Revision: 891793
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 748140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 686552
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 515375
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 373806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 31292
- mageia rebuild
- imported package perl-Test-Sys-Info


* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 488853
- update to 0.20

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 484710
- import perl-Test-Sys-Info


